import java.io.*;
public final class StatCalc
{
    private StatCalc(){}
    
    public static void main(String[] args)
    {
        try
        {
            if (args.length < 7)
            {
                System.out.println("**Required Parameters**");
                System.out.println("1st: Level start - first level to print");
                System.out.println("2nd: Level jump - number of levels to skip between prints");
                System.out.println("3rd: Number of jumps");
                System.out.println("4th: The first job to print, inclusive");
                System.out.println("5th: The last job to print, inclusive");
                System.out.println("6th: The first ability to print, inclusive");
                System.out.println("7th: The last ability to print, inclusive");
            }
            else
            {
                //put stats into an array
                BufferedReader statReader = new BufferedReader(new FileReader("rawStats.csv"));
                int[][] rawStats = new int[4][5];
                String line = statReader.readLine();
                int counter = 0;
                while (line != null)
                {
                    String[] lineArray = line.split(",");
                    for (int n = 0; n < 5; n++)
                    {
                        int stat = Integer.parseInt(lineArray[n]);
                        rawStats[counter][n] = stat;// * 16384;
                    }
                    counter ++;
                    line = statReader.readLine();
                }
                statReader.close();
                
                //put jobs into an array
                BufferedReader jobReader = new BufferedReader(new FileReader("jobs.csv"));
                int[][] jobs = new int[160][10];
                line = jobReader.readLine();
                counter = 0;
                while (line != null)
                {
                    String[] lineArray = line.split(",");
                    for (int n = 0; n < 10; n++)
                    {
                        jobs[counter][n] = Integer.parseInt(lineArray[n]);
                    }
                    counter ++;
                    line = jobReader.readLine();
                }
                jobReader.close();
                
                //put skills into an array
                BufferedReader skillReader = new BufferedReader(new FileReader("abilities.csv"));
                int[][] skills = new int[512][3];
                line = skillReader.readLine();
                counter = 0;
                while (line != null)
                {
                    String lineArray[] = line.split(",");
                    for (int n = 0; n < 3; n++)
                    {
                        skills[counter][n] = Integer.parseInt(lineArray[n]);
                    }
                    counter ++;
                    line = skillReader.readLine();
                }
                skillReader.close();
                
                System.out.println(rawStats[0][3]);//male pa
                System.out.println(jobs[74][6]);//squire pa growth
                System.out.println(jobs[74][7]);//squire pa 
                int malePA = rawStats[0][3] * 16384;//malepa raw in extended form
                int squirePAC = jobs[74][6];//squire pa growth
                int squirePAM = jobs[74][7];//squire pa multiplier
                int squirePA = malePA;
                System.out.println(squirePA);
                System.out.println((squirePA * squirePAM) / 1638400);
                for (int i = 2; i < 100; i++)//maybe change to a do, while loop?
                {
                    System.out.println("Level " + i);
                    squirePA = squirePA + (squirePA / (squirePAC + (i - 1)));
                    System.out.println(squirePA);
                    System.out.println((squirePA * squirePAM) / 1638400);
                    System.out.println();
                }
            }
        }
        catch (Exception e)
        {
            System.out.println(e);
            e.printStackTrace();
            System.out.println("\n\n*.csv files must be in the same directory as MakeCSV.class\n\n");
        }
    }
}
